package com.ruoyi.framework.recovery.service.impl;

import java.util.Date;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.framework.recovery.mapper.RecCityMapper;
import com.ruoyi.framework.recovery.domain.RecCity;
import com.ruoyi.framework.recovery.service.IRecCityService;

/**
 * 城市管理Service业务层处理
 *
 * @author jin
 * @date 2024-11-20
 */
@Service
public class RecCityServiceImpl implements IRecCityService
{
    @Autowired
    private RecCityMapper recCityMapper;

    /**
     * 查询城市管理
     *
     * @param id 城市管理主键
     * @return 城市管理
     */
    @Override
    public RecCity selectRecCityById(Long id)
    {
        return recCityMapper.selectRecCityById(id);
    }

    /**
     * 查询城市管理列表
     *
     * @param recCity 城市管理
     * @return 城市管理
     */
    @Override
    public List<RecCity> selectRecCityList(RecCity recCity)
    {
        return recCityMapper.selectRecCityList(recCity);
    }

    /**
     * 新增城市管理
     *
     * @param recCity 城市管理
     * @return 结果
     */
    @Override
    public int insertRecCity(RecCity recCity)
    {
        recCity.setCreateDate(new Date());
        return recCityMapper.insertRecCity(recCity);
    }

    /**
     * 修改城市管理
     *
     * @param recCity 城市管理
     * @return 结果
     */
    @Override
    public int updateRecCity(RecCity recCity)
    {
        return recCityMapper.updateRecCity(recCity);
    }

    /**
     * 批量删除城市管理
     *
     * @param ids 需要删除的城市管理主键
     * @return 结果
     */
    @Override
    public int deleteRecCityByIds(Long[] ids)
    {
        return recCityMapper.deleteRecCityByIds(ids);
    }

    /**
     * 删除城市管理信息
     *
     * @param id 城市管理主键
     * @return 结果
     */
    @Override
    public int deleteRecCityById(Long id)
    {
        return recCityMapper.deleteRecCityById(id);
    }
}
